Delete a Workspace
delete
/api/restapi/workspace/{workspaceId}
Send a request to this endpoint to delete a workspace. The application object with an ID value that matches the value of the {workspaceId} path parameter will be deleted. Returns delete job details if you are an administrator when deletionDetails query parameter is true.
Request
Path Parameters
-
workspaceId(required): integer(int64)
The system-generated identifier of a workspace.
Query Parameters
-
deletionDetails: boolean
Set deletionDetails=true to return delete job tracking details if you are an administrator.Default Value:
false
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ApiEntityWorkspaceDeleteResponse
Type:
objectTitle:
Show Source
ApiEntityWorkspaceDeleteResponse-
jobId: integer
(int64)
The unique identifier for the background service.
-
jobStatus: string
Allowed Values:
[ "NOT_RAN_YET", "NEW", "QUEUED", "RUNNING", "DELEGATED", "ON_HOLD", "REJECTED", "COMPLETED", "COMPLETED_WITH_ERRORS", "FAILED", "NOOP", "COMPLETED_WITH_WARNINGS", "RETRIED" ]The status of the background service. -
statusURL: string
(url)
Fully-formed job status URL.
-
workspaceId: integer
(int64)
The unique identifier of a workspace.
204 Response
Successful operation with no content.
404 Response
Invalid input.